msgpack::has_as< T > Struct Template Reference

`#include <object_fwd.hpp>`

## Public Types

using | type = decltype(check< T >(MSGPACK_NULLPTR))
using | type = decltype(check< T >(MSGPACK_NULLPTR))
using | type = decltype(check< T >(MSGPACK_NULLPTR))

## Static Public Attributes

static constexpr bool | value = type::value

## Member Typedef Documentation

## type [1/3]

template<typename T >

using msgpack::has_as< T >::type = decltype(check<T>(MSGPACK_NULLPTR))

## type [2/3]

template<typename T >

using msgpack::has_as< T >::type = decltype(check<T>(MSGPACK_NULLPTR))

## type [3/3]

template<typename T >

using msgpack::has_as< T >::type = decltype(check<T>(MSGPACK_NULLPTR))

## Member Data Documentation

## value

template<typename T >

static constexpr bool msgpack::has_as< T >::value = type::value

static

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/object_fwd.hpp